Ubuntu 20.04에서 pulse secure 사용

회사에서 공식적으로 사용하는 VPN은 pulse secure다. 근데 이 client가 ubuntu 18.04까지만 지원하고 있다. 그래서 울며겨자먹기로 18.04에 yaru 테마를 설정해서 비슷하게 사용하고 있었다. 20.04에서 이 앱이 동작하지 않는 이유는 ui에서 오래된 라이브러리를 사용하기 때문이다. webkit이나 keyring같은 것들이다.

이제는 나왔을까 싶어서 찾아봤는데 여전히 없다. 그냥 예전 라이브러리를 설치하는 방법만 누군가가 찾아놨다.

pulseUi doesn't work in ubuntu 20.04
Could you help me to fix pulseUi on Ubuntu 20.04?   /usr/local/pulse/pulseUi: error while loading shared libraries: libwebkitgtk-1.0.so.0: cannot open shared object file: No such file or directory Thank you!
community.pulsesecure.net

여기에도 나와있지만 19.04에서 실행하기 위한 방법과 거의 같은데 버전명인 19만 20으로 바꾸면 된다. 그리고 누군가가 답을 한 것 처럼 libgnome-keyring0.so가 없다고 오류가 나는 경우가 있다. 나도 2개의 ubuntu 머신 중에서 한쪽만 이런 일이 생겼다. 그래서 webkit과 마찬가지 방법으로 해결을 시도했더니 된다.

wget http://archive.ubuntu.com/ubuntu/pool/universe/libg/libgnome-keyring/libgnome-keyring0_3.12.0-1build1_amd64.deb
dpkg -x libgnome-keyring0_3.12.0-1build1_amd64.deb /usr/local/pulse/extra

위에서 말한 것을 그대로 따라하면 실행이 되긴하는데 ubuntu 데스크탑앱 목록에서 그대로 실행하려면 안된다. profile에서 LD_LIBRARY_PATH를 export해야한다. 아니면 앱 실행시에만 지정할 수도 있다. /usr/share/applications/pulseUi.desktop에서 Exec부분을 다음처럼 수정해주면 된다.

#!/usr/bin/env xdg-open
[Desktop Entry]
version=1.0
Type=Application
Exec=/usr/bin/env LD_LIBRARY_PATH=/usr/local/pulse:$LD_LIBRARY_PATH:/usr/local/pulse/extra/usr/lib/x86_64-linux-gnu/ /usr/local/pulse/pulseUi
Terminal=false
Name=Pulse Secure
Comment=Pulse Secure VPN client
Icon=/usr/local/pulse/html/images/Pulse-Secure128x128.png

이제 문제없이 잘된다. 하지만 예전버전의 webkit은 다크모드를 이상하게 보여주는데 이거 좀 최신버전으로 바꿔주면 좋겠다.

공유하기 링크
TAG
댓글
댓글쓰기 폼
«   2020/09   »
    1 2 3 4 5
6 7 8 9 10 11 12
13 14 15 16 17 18 19
20 21 22 23 24 25 26
27 28 29 30